function parpool_close(verbose)
%PARPOOL_CLOSE Tries to close the parallel pool.

if(nargin < 1)
    verbose = false;
end

if(verbose)
    fprintf('Trying to close the parallel pool.\n');
end

if(parpool_isactive())
    if(exist('parpool', 'file'))
        pobj = gcp('nocreate');
        evalc('delete(pobj)');
        clear pobj;
    elseif(exist('matlabpool', 'file'))
        evalc('matlabpool close');
    end
end

end

