function [ s, c ] = conncomp(adj, directed, weak)
%CONNCOMP

if(nargin < 2)
    directed = true;
end
if(nargin < 3)
    weak = true;
end

if(try_checkout_toolbox('Bioinformatics_Toolbox'))
    [s, c] = graphconncomp(adj, 'Directed', directed, 'Weak', weak);
else
    if(~evalin('base', 'exist(''Bioinformatics_Toolbox_lack_reported'', ''var'')'))
        evalin('base', 'Bioinformatics_Toolbox_lack_reported = true');
        warning('Bioinformatics toolbox is unavailable. Using an alternative connceted component computation function.');
    end
    [s, c] = graphconncomp_alt(adj);
end

end

