function [ armored_field_name ] = armor_field_name(fname)
%ARMOR_FIELD_NAME

if(~ischar(fname) || length(fname) <= 0)
    armored_field_name = '';
    return;
end

armored_field_name = lower(fname);
armored_field_name = regexprep(armored_field_name, '[\\#:;,\\(\\)"*/]', '');
armored_field_name = regexprep(armored_field_name, '[ \\^\t\r\n\\-\\+]', '_');

for ich = 1 : length(armored_field_name)
    ch = armored_field_name(ich);
    if(ch == '-')
        armored_field_name(ich) = '_';
    end
end

end