function [ rand_vals ] = randi_minmax(minmax, nvals, probs)
%RANDI_MINMAX

options = min(minmax) : max(minmax);
noptions = length(options);

if(nargin < 3)
    probs = 1.0 / noptions * ones(1, noptions);
end

rand_vals = randsample(options, nvals, true, probs);

end
