function [ str ] = cellarr2str(cellarr, delimiter, prefix, suffix)
%CELLARR2STR Converts a flat cell array to string


if(nargin < 2)
    delimiter = ', ';
end
if(nargin < 3)
    prefix = '{ ';
end
if(nargin < 4)
    suffix = ' }';

str = [ prefix ];
for i = 1 : length(cellarr)
    str = [ str cellarr{i} ];
    if(i < length(cellarr))
        str = [ str delimiter ];
    end
end
str = [ str suffix ];

end